Foxit PDF SDK

Instance Methods | Properties | List of all members
FSPlayerArgs Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithPlayer_args:
| Constructor, with another player args object. More...
(void) | - set:screen_annot:rendition:URL:audio_format:player_settings:
| Set values. More...

## Properties
NSString * | audio_format
| The audio format, such as "audio/wav".
FSPDFDoc * | doc
| The FSPDFDoc object of the document. More...
FSMediaSettings * | player_settings
| A FSMediaSettings object.
FSRendition * | rendition
| A FSRendition object (either a MediaRendition or a RenditionList). More...
FSScreen * | screen_annot
| A FSScreen object. More...
NSString * | uRL
| Either URL or rendition is required, with URL taking precedence.

## Detailed Description

This class represents player args.

## Method Documentation

## ◆ initWithPlayer_args:()

- (id) initWithPlayer_args: |  | (FSPlayerArgs*) | player_args |

Constructor, with another player args object.

Parameters

  [in] | player_args | Another player args object.

## ◆ set:screen_annot:rendition:URL:audio_format:player_settings:()

- (void) set: |  | (FSPDFDoc*) | doc
screen_annot: |  | (FSScreen*) | screen_annot
rendition: |  | (FSRendition*) | rendition
URL: |  | (NSString *) | URL
audio_format: |  | (NSString *) | audio_format
player_settings: |  | (FSMediaSettings*) | player_settings

Set values.

Parameters

  [in] | doc | The FSPDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A FSScreen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A FSRendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A FSMediaSettings object.

Returns
  None.

## Property Documentation

## ◆ doc

- (FSPDFDoc *) doc
| read write nonatomic weak

The FSPDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

## ◆ rendition

- (FSRendition *) rendition
| read write nonatomic weak

A FSRendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

## ◆ screen_annot

- (FSScreen *) screen_annot
| read write nonatomic weak

A FSScreen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.